Bug 2679

Summary: xterm needs also "Close window" menu option
Product: [Maemo Official Applications] Utilities Reporter: Neil MacLeod <bugzilla770>
Component: X TerminalAssignee: unassigned <nobody>
Status: RESOLVED WONTFIX QA Contact: osso-xterm-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper, eero.tamminen, javierjc1982, maemo, Oyvind.Aabling, roope.rainisto, Shuping.Cui
Version: 4.1.3 (5.2008.43-7)Keywords: community-diablo, easyfix, patch
Target Milestone: 5.0 (1.2009.41-10)   
Hardware: ARM   
OS: Maemo   
Attachments: Add a "Close window" option

Description Neil MacLeod (reporter) maemo.org 2007-12-30 15:35:16 UTC
Firmware: OS 2008, 2.2007.50-2

STEPS TO REPRODUCE THE PROBLEM:

1. Open two xterm sessions (start xterm, then in the Windows menu choose "New
Window")
2. In either xterm, open the "Close" menu

EXPECTED OUTCOME:

I expect to see two options - "Close window" (close current window) and "Close
all windows"

ACTUAL OUTCOME:

I only see "Close all windows" which means it is not possible to close the
current xterm session from the menu but it is possible to close all xterm
sessions from the menu. This makes no sense. 

The current session can only be terminated by clicking "x" (even exit/ctrl-d
won't close the window - see bug 2678!)

REPRODUCIBILITY:
Always

EXTRA SOFTWARE INSTALLED:

openssh-server, Canola2, Python, mplayer

OTHER COMMENTS:

Any application that supports multiple windows, such as MicroB, offers the
ability to close the current window or all windows via the Close menu. The
xterm application should be updated to be consistent with this behaviour.
Comment 1 Øyvind Aabling 2008-03-18 17:59:46 UTC
Failure to close window: Also see bug 2473.
Comment 2 Neil MacLeod (reporter) maemo.org 2008-06-25 20:13:56 UTC
No change in 4.2008.23-14 (Diablo, 4.1).

I'm guessing that the xterm application is breaking some pretty fundamental UI
specification rules by not having a "Close Window" menu option, and again by
only providing the option to close ALL windows instead! CC'ing Roope... :)
Comment 3 Roope Rainisto nokia 2008-06-26 10:08:14 UTC
Oh, that's definitely true, sounds weird. The xterm was produced in a rather
non-standard UI process, and it certainly shows. :)

Personally I think there should be only "close this window" command, having a
submenu for closing commands is unnecessarily complicated. 

Anyway... I'll try to ask around what are the plans for Fremantle for xterm.
Comment 4 Shuping Cui 2008-08-26 10:32:41 UTC
Created an attachment (id=908) [details]
Add a "Close window" option

The bug had fixed in this patch.
Comment 5 Andre Klapper maemo.org 2008-10-22 14:24:38 UTC
Shuping Cui,

(In reply to comment #4)
> Created an attachment (id=908) [details] [details]
> Add a "Close window" option

Please also provide a ChangeLog diff, describing what your patch fixes.
Please avoid // comments, use /* */ instead.

And the latest osso-xterm package includes exactly the code change that you
attached here. Are you sure that your patch is correct and not inverted?
Comment 6 Eero Tamminen nokia 2008-10-27 18:21:28 UTC
I changed this to enhancement as it's only about menu consistency (the
individual window close functionality has always been there like noted also in
the original report).
Comment 7 Javier Jardón 2009-03-30 18:45:56 UTC
Still valid in 4.1.3 (5.2008.43-7) maemo release
Comment 8 Andre Klapper maemo.org 2009-06-18 13:09:25 UTC
Fremantle will provide a different concept for menus and this will not apply
(it seems like there are no "Close window" menu items available at all by
design).

Unfortunately this is also a WONTFIX for Diablo as Diablo is in maintenance
mode and Nokia will only provide bugfixes for critical issues if at all.
For your interest the Mer project aims to provide a community backport of
Fremantle for N8x0 devices. See http://wiki.maemo.org/Mer for more information.
Comment 9 Lucas Maneos 2009-10-22 07:56:55 UTC
Marking patches of interest to Diablo (Maemo4) community updates, please excuse
the noise.